<?php
namespace Claromentis\Pages\UseCase;

$GLOBALS["__65da1b1" . "ec2d6653e" . "8a0ab7848" . "e536215"] = (@$GLOBALS["__65da1b1ec2d6653e8a0" . "ab7848e536215"] ?: array()) + array();
use Claromentis\Pages\Repository\PagesRepository;




class SetBgWrap
{
    
    
    
    
    private $pages_repo;
    
    
    
    
    
    
    public function __construct(PagesRepository $pages_repo)
    {
        $this->pages_repo = $pages_repo;
    }
    
    
    
    
    
    
    
    
    
    public function SetBgWrap($page_url, $_5104f7cd4d354681cc732da368fe0a11, $_3877cdf57a61e49b56aeab7af930ee82)
    {
        $_221da17e3055fae8d3ff516b832a5f3b = $this->pages_repo->GetWorkingCopy($page_url->id, $_3877cdf57a61e49b56aeab7af930ee82);
        $_221da17e3055fae8d3ff516b832a5f3b->SetBgWrap($_5104f7cd4d354681cc732da368fe0a11);
        $this->pages_repo->Save($_221da17e3055fae8d3ff516b832a5f3b);
    }
}